#ifndef _UTIL_HXX_
#define _UTIL_HXX_
void debugMsg(char* format, ...);
void debugMsg(int level, char* format, ...);
void die(char* format, ...);

# define Assert(e, m...)	((e) ? (void)0 : __myassert(__FILE__, __LINE__, #e , ## m))
void __myassert(char* file, int line, char* exp, char*format, ...);

#endif

